package org.jeecg.modules.nettyServer.service;

public interface PushMessageService {
    /**
     * 推送给指定⽤户
     *
     * @param clientId 客户端Id
     * @param msg    消息
     */
    void pushMsgToOneChannel(String clientId, String msg);

    /**
     * 推送给指定井
     *
     * @param wellId 井号
     * @param msg    消息
     */
    void pushMsgToOneWell(String wellId, String msg,int type);

    /**
     * 推送给所有⽤户
     *
     * @param msg 消息
     */
    void pushMsgToAll(String msg);
}
